org.jboss.resteasy.core

## Class PrefixedFormInjector

- java.lang.Object
- - org.jboss.resteasy.core.FormInjector
  - - org.jboss.resteasy.core.PrefixedFormInjector

- All Implemented Interfaces:
    ValueInjector
  Direct Known Subclasses:
    AbstractCollectionFormInjector

      public class PrefixedFormInjector
      extends FormInjector

  Extension of `FormInjector` that handles prefixes for associated classes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrefixedFormInjector(Class type, String prefix, ResteasyProviderFactory factory)` Constructor setting the prefix.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `doInject(String prefix, HttpRequest request, HttpResponse response)` Calls the super `inject(org.jboss.resteasy.spi.HttpRequest, org.jboss.resteasy.spi.HttpResponse)` method.
    `protected boolean` | `hasValue(List<String> list)` Checks that the list has an non empty value.
    `Object` | `inject(HttpRequest request, HttpResponse response)` Inject inside the context of an HTTP request.

    - ### Methods inherited from class org.jboss.resteasy.core.FormInjector

      `inject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrefixedFormInjector

          public PrefixedFormInjector(Class type,
                              String prefix,
                              ResteasyProviderFactory factory)

      Constructor setting the prefix.

  - ### Method Detail

    - #### inject

          public Object inject(HttpRequest request,
                      HttpResponse response)

      Inject inside the context of an HTTP request. Wraps the request in a
      Specified by:
        `inject` in interface `ValueInjector`
      Overrides:
        `inject` in class `FormInjector`
      Returns:

    - #### doInject

          protected Object doInject(String prefix,
                        HttpRequest request,
                        HttpResponse response)

      Calls the super `inject(org.jboss.resteasy.spi.HttpRequest, org.jboss.resteasy.spi.HttpResponse)` method.

    - #### hasValue

          protected boolean hasValue(List<String> list)

      Checks that the list has an non empty value.

Copyright © 2014. All Rights Reserved.